buffer_struct Struct Reference

`#include <buffer.h>`

## Data Fields

size_t | position
size_t | limit
size_t | capacity
uint8_t * | data
unsigned | fixed: 1

## Detailed Description

Definition at line 112 of file buffer.h.

## Field Documentation

## capacity

size_t buffer_struct::capacity

Definition at line 115 of file buffer.h.

Referenced by buffer_capacity(), buffer_clear(), and buffer_create().

## data

uint8_t* buffer_struct::data

Definition at line 116 of file buffer.h.

Referenced by buffer_at(), buffer_cleanup(), buffer_create(), buffer_read(), buffer_write(), and buffer_write_u16_at().

## fixed

unsigned buffer_struct::fixed

Definition at line 117 of file buffer.h.

Referenced by buffer_create().

## limit

size_t buffer_struct::limit

Definition at line 114 of file buffer.h.

Referenced by buffer_clear(), buffer_create(), buffer_flip(), buffer_limit(), and buffer_set_limit().

## position

size_t buffer_struct::position

Definition at line 113 of file buffer.h.

Referenced by buffer_available(), buffer_clear(), buffer_create(), buffer_current(), buffer_flip(), buffer_position(), buffer_read(), buffer_read_u16(), buffer_read_u32(), buffer_read_u8(), buffer_remaining(), buffer_set_limit(), buffer_set_position(), buffer_skip(), buffer_write(), buffer_write_u16(), buffer_write_u32(), and buffer_write_u8().

The documentation for this struct was generated from the following file:

- src/wire/buffer.h